import { PropType } from 'vue';
import { IconDefinition, Flip, Pull } from './types';
declare const _default: import("vue").DefineComponent<{
    icon: {
        type: PropType<IconDefinition>;
        required: true;
    };
    size: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    color: StringConstructor;
    fw: BooleanConstructor;
    pull: {
        type: PropType<"right" | "left">;
        validator: (value: Pull) => boolean;
    };
    scale: {
        default: number;
        type: (StringConstructor | NumberConstructor)[];
        validator: (value: string | number) => boolean;
    };
    translateX: {
        default: number;
        type: (StringConstructor | NumberConstructor)[];
        validator: (value: string | number) => boolean;
    };
    translateY: {
        default: number;
        type: (StringConstructor | NumberConstructor)[];
        validator: (value: string | number) => boolean;
    };
    flip: {
        type: PropType<"horizontal" | "vertical" | "both">;
        validator: (value: Flip) => boolean;
    };
    rotate: {
        type: (StringConstructor | NumberConstructor)[];
        validator: (value: string | number) => boolean;
    };
    spin: BooleanConstructor;
    pulse: BooleanConstructor;
    primaryColor: StringConstructor;
    secondaryColor: StringConstructor;
    primaryOpacity: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    secondaryOpacity: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    swapOpacity: BooleanConstructor;
}, {
    i: import("vue").ComputedRef<[number, number, string[], string, import("@fortawesome/fontawesome-common-types").IconPathData]>;
    style: import("vue").ComputedRef<{
        [k: string]: string;
    }>;
    transform: import("vue").ComputedRef<string>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    icon: {
        type: PropType<IconDefinition>;
        required: true;
    };
    size: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    color: StringConstructor;
    fw: BooleanConstructor;
    pull: {
        type: PropType<"right" | "left">;
        validator: (value: Pull) => boolean;
    };
    scale: {
        default: number;
        type: (StringConstructor | NumberConstructor)[];
        validator: (value: string | number) => boolean;
    };
    translateX: {
        default: number;
        type: (StringConstructor | NumberConstructor)[];
        validator: (value: string | number) => boolean;
    };
    translateY: {
        default: number;
        type: (StringConstructor | NumberConstructor)[];
        validator: (value: string | number) => boolean;
    };
    flip: {
        type: PropType<"horizontal" | "vertical" | "both">;
        validator: (value: Flip) => boolean;
    };
    rotate: {
        type: (StringConstructor | NumberConstructor)[];
        validator: (value: string | number) => boolean;
    };
    spin: BooleanConstructor;
    pulse: BooleanConstructor;
    primaryColor: StringConstructor;
    secondaryColor: StringConstructor;
    primaryOpacity: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    secondaryOpacity: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    swapOpacity: BooleanConstructor;
}>>, {
    fw: boolean;
    scale: string | number;
    translateX: string | number;
    translateY: string | number;
    spin: boolean;
    pulse: boolean;
    primaryOpacity: string | number;
    secondaryOpacity: string | number;
    swapOpacity: boolean;
}>;
export default _default;
